Package org.silverpeas.mobile.shared.dto.workflow

## Class WorkflowInstancePresentationFormDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.workflow.WorkflowInstancePresentationFormDTO

- All Implemented Interfaces:
    `Serializable`

      public class WorkflowInstancePresentationFormDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowInstancePresentationFormDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Map<String,​String>` | `getActions()` |
    `List<FieldPresentationDTO>` | `getFields()` |
    `String` | `getId()` |
    `String` | `getInstanceId()` |
    `String` | `getState()` |
    `String` | `getTitle()` |
    `void` | `setActions​(Map<String,​String> actions)` |
    `void` | `setFields​(List<FieldPresentationDTO> fields)` |
    `void` | `setId​(String id)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setState​(String state)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowInstancePresentationFormDTO

          public WorkflowInstancePresentationFormDTO()

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getFields

          public List<FieldPresentationDTO> getFields()

    - #### setFields

          public void setFields​(List<FieldPresentationDTO> fields)

    - #### getActions

          public Map<String,​String> getActions()

    - #### setActions

          public void setActions​(Map<String,​String> actions)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### setTitle

          public void setTitle​(String title)

    - #### getTitle

          public String getTitle()

    - #### getState

          public String getState()

    - #### setState

          public void setState​(String state)